import { ExpandMore } from "@mui/icons-material";
import { Accordion, AccordionDetails, AccordionSummary } from "@mui/material";
import SectionWrapper from "./components/SectionWrapper";
import DynamicStyle from "@/components/common/wrapper/DynamicStyle";

const FaqSection = ({ content }) => {
  if (!content) return null;
  return (
  
      <SectionWrapper content={content} className={"px-0 "}>
        <div
          className={`w-full  pt-4 md:pt-8 lg:pt-10 relative min-h-[240px]  flex flex-col justify-center overflow-x-hidden pb-4 `}
        >
          <div className="w-screen lg:w-full h-[89px] md:h-[174px] lg:h-[184px]  bg-primary-main absolute top-0 right-0 left-0 -z-10 lg:rounded-2xl " />
          <p className="font-bold text-base md:text-xl lg:text-2xl text-center text-white">
            سوالات متداول
          </p>
          <div className=" w-full flex flex-col gap-2 mt-4 md:mt-6 lg:mt-8">
            <div className="container flex flex-col  ">
              {content?.list?.map((item, index) => (
                <Accordion
                  className={`${index === 0 && "border-top-faq"} ${
                    index === content.list.length - 1 && "border-bottom-faq"
                  }`}
                  disableGutters={true}
                  key={item.id}
                >
                  <AccordionSummary
                    sx={{
                      minHeight: "60px",
                      fontWeight: "demibold",
                      fontSize: 16,
                      borderRadius: "14px",
                    }}
                    expandIcon={<ExpandMore />}
                  >
                    <p className="text-sm font-bold">{item?.question}</p>
                  </AccordionSummary>
                  <AccordionDetails>
                    <p className="font-normal  text-sm   leading-8 md:leading-10 whitespace-break-spaces">
                      {item.answer}
                    </p>
                  </AccordionDetails>
                </Accordion>
              ))}
            </div>
          </div>
        </div>
      </SectionWrapper>
  );
};

export default FaqSection;
